package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaProgressDetail;
import com.ruoyi.oa.domain.vo.OaProgressVo;
import com.ruoyi.oa.domain.bo.OaProgressBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import javax.validation.constraints.NotNull;
import java.util.Collection;
import java.util.List;

/**
 * 进度管理Service接口
 *
 * @author hdka
 * @date 2025-04-14
 */
public interface IOaProgressService {

    /**
     * 查询进度管理
     */
    OaProgressVo queryById(Long progressId);

    /**
     * 查询进度管理列表
     */
    TableDataInfo<OaProgressVo> queryPageList(OaProgressBo bo, PageQuery pageQuery);

    /**
     * 查询进度管理列表
     */
    List<OaProgressVo> queryList(OaProgressBo bo);

    /**
     * 新增进度管理
     */
    Boolean insertByBo(OaProgressBo bo);

    /**
     * 修改进度管理
     */
    Boolean updateByBo(OaProgressBo bo);

    /**
     * 校验并批量删除进度管理信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 获取关键字
     *
     * @return
     */
    List<OaProgressDetail> getKeyList();


    List<OaProgressVo> queryByProjectId(Long projectId);

}
